var ResizeAction = function(timer, isViewChange, showRect) {
	this.timer = timer;
	this.isViewChange = isViewChange;
	this.showRect = showRect;
	this.pause = 25;
	this.start();
};

ResizeAction.prototype = {

	start: function() {
		this.timer.view.main.css({
			opacity: 0,
		});
		setTimeout(this.onHalf.bind(this), this.pause);
	},

	onHalf: function() {
		if(this.isViewChange) {
			this.timer.setRectShown(this.showRect);
		} else {
			this.timer.toggleSettings();
		}
		setTimeout(this.onEnd.bind(this), this.pause);
	},

	onEnd: function() {
		this.timer.view.main.css({
			opacity: 1,
		});
		this.timer.resizeAction = null;
		this.timer.updateThumb();
	},

};
