/* Utility funcitonality. Anything that is fairly basic and can be used anywhere. */

var millis = function() {
	return Date.now();
}

var createCenteredImg = function(imgSrc, cssClasses) {
	var box = $('<div/>');
	var img = $('<img/>');
	img.attr('src', imgSrc);
	img.addClass('centered');
	box.addClass('centered-container');
	if(cssClasses) {
		box.addClass(cssClasses);
	}
	box.append(img);
	box.img = img;
	return box;
}

var stripPx = function(val) {
	/* Attempt to covert a String with value '100px' to Number with value 100 */
	if(typeof val !== 'string'){
		return 0;
	}
	var x = 0;
	if(val.substring(val.length - 2, val.length) === 'px') {
		var s = val.substring(0, val.length - 2);
		x = Number(s);
	} else {
		x = Number(s);
	}
	if(isNaN(x)) {
		return 0;
	} else {
		return x;
	}
}
